com.trendmicro.ds.platform.rest.object.monitoring

## Class TenantManagerUsageElement

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.monitoring.TenantManagerUsageElement

-     public class TenantManagerUsageElement
      extends java.lang.Object

  A structure conveying information about how a tenant used a particular manager node.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TenantManagerUsageElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getEndDate()` The date these usage statistics were measured to.
    `java.lang.Integer` | `getManagerNodeID()` The ID of the manager node these usage statistics were created for.
    `java.util.Date` | `getNewestActivityDate()` The latest date within the measured period that activity was recorded.
    `java.util.Date` | `getOldestActivityDate()` The earliest date within the measured period that activity was recorded.
    `java.util.Date` | `getStartDate()` The date these usage statistics were measured from.
    `java.lang.Integer` | `getTenantID()` The ID of the tenant these usage statistics apply to.
    `java.lang.String` | `getTenantName()` The name of the tenant these usage statistics apply to.
    `int` | `getTotalJobCount()` The total number of jobs processed within the period.
    `int` | `getTotalMessageCount()` The total number of manager messages processed within the period.
    `int` | `getTotalSystemEventCount()` The total number of system events generated within the period.
    `void` | `setEndDate(java.util.Date endDate)`
    `void` | `setManagerNodeID(java.lang.Integer managerNodeID)`
    `void` | `setNewestActivityDate(java.util.Date newestActivityDate)`
    `void` | `setOldestActivityDate(java.util.Date oldestActivityDate)`
    `void` | `setStartDate(java.util.Date startDate)`
    `void` | `setTenantID(java.lang.Integer tenantID)`
    `void` | `setTenantName(java.lang.String tenantName)`
    `void` | `setTotalJobCount(int totalJobCount)`
    `void` | `setTotalMessageCount(int totalMessageCount)`
    `void` | `setTotalSystemEventCount(int totalSystemEventCount)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TenantManagerUsageElement

          public TenantManagerUsageElement()

  - ### Method Detail

    - #### getTenantName

          public java.lang.String getTenantName()

      The name of the tenant these usage statistics apply to.

    - #### setTenantName

          public void setTenantName(java.lang.String tenantName)

    - #### getTenantID

          public java.lang.Integer getTenantID()

      The ID of the tenant these usage statistics apply to.

    - #### setTenantID

          public void setTenantID(java.lang.Integer tenantID)

    - #### getManagerNodeID

          public java.lang.Integer getManagerNodeID()

      The ID of the manager node these usage statistics were created for.

    - #### setManagerNodeID

          public void setManagerNodeID(java.lang.Integer managerNodeID)

    - #### getStartDate

          public java.util.Date getStartDate()

      The date these usage statistics were measured from.

    - #### setStartDate

          public void setStartDate(java.util.Date startDate)

    - #### getEndDate

          public java.util.Date getEndDate()

      The date these usage statistics were measured to.

    - #### setEndDate

          public void setEndDate(java.util.Date endDate)

    - #### getOldestActivityDate

          public java.util.Date getOldestActivityDate()

      The earliest date within the measured period that activity was recorded.

    - #### setOldestActivityDate

          public void setOldestActivityDate(java.util.Date oldestActivityDate)

    - #### getNewestActivityDate

          public java.util.Date getNewestActivityDate()

      The latest date within the measured period that activity was recorded.

    - #### setNewestActivityDate

          public void setNewestActivityDate(java.util.Date newestActivityDate)

    - #### getTotalJobCount

          public int getTotalJobCount()

      The total number of jobs processed within the period.

    - #### setTotalJobCount

          public void setTotalJobCount(int totalJobCount)

    - #### getTotalMessageCount

          public int getTotalMessageCount()

      The total number of manager messages processed within the period.

    - #### setTotalMessageCount

          public void setTotalMessageCount(int totalMessageCount)

    - #### getTotalSystemEventCount

          public int getTotalSystemEventCount()

      The total number of system events generated within the period.

    - #### setTotalSystemEventCount

          public void setTotalSystemEventCount(int totalSystemEventCount)

Copyright © 2015 Trend Micro Inc. All Rights Reserved.